/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VRedcapLogic;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VRedcapLogicRecord extends TableRecordImpl<VRedcapLogicRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_redcap_logic.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_redcap_logic.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_redcap_logic.logictype_descr</code>.
     */
    public void setLogictypeDescr(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_redcap_logic.logictype_descr</code>.
     */
    public String getLogictypeDescr() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_redcap_logic.redcaprule</code>.
     */
    public void setRedcaprule(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_redcap_logic.redcaprule</code>.
     */
    public String getRedcaprule() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VRedcapLogicRecord
     */
    public VRedcapLogicRecord() {
        super(VRedcapLogic.V_REDCAP_LOGIC);
    }

    /**
     * Create a detached, initialised VRedcapLogicRecord
     */
    public VRedcapLogicRecord(String uniqueName, String logictypeDescr, String redcaprule) {
        super(VRedcapLogic.V_REDCAP_LOGIC);

        setUniqueName(uniqueName);
        setLogictypeDescr(logictypeDescr);
        setRedcaprule(redcaprule);
        resetChangedOnNotNull();
    }
}
